Bug 231878 - registration.upgrade_version causes tracebacks in production
Summary: registration.upgrade_version causes tracebacks in production
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
(Show other bugs)
Version: rhn500
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-12 18:44 UTC by Bret McMillan
Modified: 2013-01-10 09:07 UTC (History)
1 user (show)

Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 18:04:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script bretm used to test the NoBaseChannel thing (14.87 KB, text/plain)
2007-03-12 22:24 UTC, Brandon Perkins
no flags Details

Description Bret McMillan 2007-03-12 18:44:22 UTC
We're seeing tracebacks from old RHL9 and earlier clients.  jbowes has the fix,
should be ON_QA now.

The issue is someone is running 'up2date --upgrade-to-release foo' where "foo"
represents a redhat-release tied to a channel they don't have access to.

bperkins has the unit-test script I've used to replicate the issue, but an RHL 9
box used w/ an account that has no access to RHEL should show 500's against
stage & prod when used w/ soemthing like "4AS", etc.

Comment 1 wes hayutin 2007-03-12 20:41:42 UTC
non-entitled to rhel4 channel.. error message 
[root@dhcp204 root]# up2date --upgrade-to-release=rhel-i386-es-4 --dry-run
Error communicating with server. The message was:

Error Message:
    Your account does not have access to any channels matching
(release='rhel-i386-es-4', arch='i686-redhat-linux')
If you have a registration number, please register with it first at
http://www.redhat.com/apps/activate/ and then try again.
Error Class Code: 19
Error Class Info: Architecture and OS version combination is not supported.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem

Comment 2 wes hayutin 2007-03-12 20:51:34 UTC
[root@dhcp204 root]# ./script --user whayutin --password redhat --verbose --qa
Initiating test against http://rhn.webqa.redhat.com/XMLRPC
Using USER = whayutin, PASSWORD = redhat, EMAIL = whayutin@redhat.com

Test: Reserve User                  : NOT ok
Test: New User                      : NOT ok
Failed to get a system_id, bailing out on the rest
Traceback (most recent call last):
  File "./script", line 454, in ?
    t.main()
  File "./script", line 378, in main
    self.__new_system()
  File "./script", line 85, in __new_system
    raise Exception, "Need system_id to continue"
Exception: Need system_id to continue
[root@dhcp204 root]#


Comment 3 wes hayutin 2007-03-12 20:53:00 UTC
I need some help w/ the script or getting a rh9 system entitled to a rhel 4
channel... 
thanks

Comment 4 wes hayutin 2007-03-12 20:59:45 UTC
ok.. after speaking to Bret comment #1 is actually the appropriate error... so
this passes qa...

Comment 5 wes hayutin 2007-03-12 21:08:56 UTC
script passes

 ./script --user whayutin --password redhat --verbose --url
http://xmlrpc.rhn.webqa.redhat.com/XMLRPC


</member>
<member>
<name>profile_name</name>
<value><string>alien - 4662</string></value>
</member>
<member>
<name>system_id</name>
<value><string>ID-1007272841</string></value>
</member>
<member>
<name>architecture</name>
<value><string>i686</string></value>
</member>
<member>
<name>os_release</name>
<value><string>6.2</string></value>
</member>
<member>
<name>fields</name>
<value><array><data>
<value><string>system_id</string></value>
<value><string>os_release</string></value>
<value><string>operating_system</string></value>
<value><string>architecture</string></value>
<value><string>username</string></value>
<value><string>type</string></value>
</data></array></value>
</member>
<member>
<name>type</name>
<value><string>REAL</string></value>
</member>
</struct></value>
</param>
</params>

Test: Hardware Profiling            : OK
Test: Deleting all hardware profile : OK
Test: Refresh hardware profile      : OK
Test: Register Product              : OK
Test: Upgrading version to 7.0      : OK
Test: Add History                   : OK
Test: Upgrading version to 7.1      : OK
Test: Add History                   : OK
Test: Upgrading version to 7.2      : OK
Test: Add History                   : OK
Test: Upgrading version to 3AS      : OK
Test: Upgrading version to 4AS      : OK
Test: Listall                       : OK
Test: Listall w/ Size               : OK
Test: Getting Action                : OK
1


Comment 6 Brandon Perkins 2007-03-12 22:24:22 UTC
Created attachment 149876 [details]
Script bretm used to test the NoBaseChannel thing

Attached.  I suspect there might even be some obscure up2date option that lets
you call that w/ an arbitrary string... might be worth investigating if RHL9 or
this script proves too painful.

Comment 7 wes hayutin 2007-03-13 16:35:29 UTC
ran same test against stage...


[root@dhcp204 root]# up2date --upgrade-to-release=rhel-i386-es-4 --dry-run
Error communicating with server. The message was:

Error Message:
    Your account does not have access to any channels matching
(release='rhel-i386-es-4', arch='i686-redhat-linux')
If you have a registration number, please register with it first at
http://www.redhat.com/apps/activate/ and then try again.
Error Class Code: 19
Error Class Info: Architecture and OS version combination is not supported.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

[root@dhcp204 root]# ./script --user bnackash --password dog8code --verbose
--url http://xmlrpc.rhn.stage.redhat.com/XMLRPC
Initiating test against http://xmlrpc.rhn.stage.redhat.com/XMLRPC
Using USER = bnackash, PASSWORD = dog8code, EMAIL = whayutin@redhat.com

Test: Reserve User                  : OK
Test: New User                      : OK
Test: New System                    : OK
Got System ID:
<?xml version="1.0"?>
<params>
<param>
<value><struct>
<member>
<name>username</name>
<value><string>bnackash</string></value>
</member>
<member>
<name>operating_system</name>
<value><string>Red Hat Linux</string></value>
</member>
<member>
<name>description</name>
<value><string>Initial Registration Parameters:
OS: Red Hat Linux
Release: 6.2
CPU Arch: i686</string></value>
</member>
<member>
<name>checksum</name>
<value><string>4d218ba094dbc85ead1bbfb4d4914f0a</string></value>
</member>
<member>
<name>profile_name</name>
<value><string>alien - 5151</string></value>
</member>
<member>
<name>system_id</name>
<value><string>ID-1007229560</string></value>
</member>
<member>
<name>architecture</name>
<value><string>i686</string></value>
</member>
<member>
<name>os_release</name>
<value><string>6.2</string></value>
</member>
<member>
<name>fields</name>
<value><array><data>
<value><string>system_id</string></value>
<value><string>os_release</string></value>
<value><string>operating_system</string></value>
<value><string>architecture</string></value>
<value><string>username</string></value>
<value><string>type</string></value>
</data></array></value>
</member>
<member>
<name>type</name>
<value><string>REAL</string></value>
</member>
</struct></value>
</param>
</params>

Test: Hardware Profiling            : OK
Test: Deleting all hardware profile : OK
Test: Refresh hardware profile      : OK
Test: Register Product              : OK
Test: Upgrading version to 7.0      : OK
Test: Add History                   : OK
Test: Upgrading version to 7.1      : OK
Test: Add History                   : OK
Test: Upgrading version to 7.2      : OK
Test: Add History                   : OK
Test: Upgrading version to 3AS      : OK
Test: Upgrading version to 4AS      : OK
Test: Listall                       : OK
Test: Listall w/ Size               : OK
Test: Getting Action                : OK
1
[root@dhcp204 root]# 




Note You need to log in before you can comment on or make changes to this bug.